Bug 197846 - r300 fails to load with undefined symbol: _glapi_tls_Context
r300 fails to load with undefined symbol: _glapi_tls_Context
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-06 14:55 EDT by David Nielsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.1.0-27.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-09 09:45:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2006-07-06 14:55:46 EDT
Description of problem:
On a system where using a 20060704 up to date system loading the r300 driver
work and it performed stable using EXA, the driver with the 20060705 and 06 now
displays the following error:

(EE) AIGLX error: dlopen of /usr/lib64/dri/r300_dri.so failed
(/usr/lib64/dri/r300_dri.so: undefined symbol: _glapi_tls_Context)

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.6.1-4
mesa-libGL-6.5-13.fc6

How reproducible:
100%

Steps to Reproduce:
1. try to load r300
  
Actual results:
observ failure

Expected results:
the joyious bling that the working r300 enabled coupled with compiz on AIGLX
just two days earlier.
Comment 1 David Nielsen 2006-07-07 21:08:01 EDT
Reassigning to mesa

I recompiled mesa-libGL-6.5-10 using the spec file off the cvs server and the
bling is now back so something in the update broke this. So far all I have
noticed  is changes to the compile flags (no actual source changes in the
different revisions) so I will try to narrow it down a bit more if needed.

Comment 2 Damian Wrobel 2006-07-09 07:56:13 EDT
The same has been observed using i915_dri.so:

(EE) AIGLX error: dlopen of /usr/lib/dri/i915_dri.so failed (/usr/lib/dri/i915_d
ri.so: undefined symbol: _glapi_tls_Context)
(EE) AIGLX: reverting to software rendering

[dw@wrobel ~]$ rpm -qa mesa*
mesa-libGL-6.5-13.fc6
mesa-libGLw-6.5-13.fc6
mesa-libGLU-6.5-13.fc6
mesa-libGLw-devel-6.5-13.fc6
mesa-libGLU-devel-6.5-13.fc6
mesa-libGL-devel-6.5-13.fc6
mesa-debuginfo-6.5-13.fc6

[dw@wrobel ~]$ rpm -qa xorg*810
xorg-x11-drv-i810-1.6.0-5
Comment 3 David Nielsen 2006-07-09 09:45:32 EDT
This is fixed in Development by the introduction of xorg-x11-server-1.1.0-27.fc6

* Sat Jul 08 2006 Kristian Høgsberg <krh@redhat.com> - 1.1.0-27.fc6
- Enable TLS for GLX to match the mesa build config.
Comment 4 Damian Wrobel 2006-07-09 17:34:06 EDT
(In reply to comment #3)
> This is fixed in Development by the introduction of xorg-x11-server-1.1.0-27.fc6
> 
> * Sat Jul 08 2006 Kristian Høgsberg <krh@redhat.com> - 1.1.0-27.fc6
> - Enable TLS for GLX to match the mesa build config.
> 

I'm just using this version of xorg server and the problem still exists:

rpm -qa xorg* | sort
xorg-x11-apps-7.1-1
xorg-x11-drivers-7.1-2
xorg-x11-drv-acecad-1.1.0-2
xorg-x11-drv-aiptek-1.0.1-1
xorg-x11-drv-apm-1.1.1-2
xorg-x11-drv-ark-0.6.0-2
xorg-x11-drv-ast-0.81.0-2
xorg-x11-drv-ati-6.6.1-4
xorg-x11-drv-calcomp-1.1.0-1
xorg-x11-drv-chips-1.1.1-2
xorg-x11-drv-cirrus-1.1.0-1
xorg-x11-drv-citron-2.2.0-1
xorg-x11-drv-cyrix-1.1.0-2
xorg-x11-drv-digitaledge-1.1.0-1
xorg-x11-drv-dmc-1.1.0-1
xorg-x11-drv-dummy-0.2.0-2
xorg-x11-drv-dynapro-1.1.0-1
xorg-x11-drv-elo2300-1.1.0-1
xorg-x11-drv-elographics-1.1.0-1
xorg-x11-drv-evdev-1.1.2-2
xorg-x11-drv-fbdev-0.3.0-1
xorg-x11-drv-fpit-1.1.0-1
xorg-x11-drv-glint-1.1.1-4
xorg-x11-drv-hyperpen-1.1.0-1
xorg-x11-drv-i128-1.2.0-2
xorg-x11-drv-i740-1.1.0-2
xorg-x11-drv-i810-1.6.0-6.modeset20060707
xorg-x11-drv-jamstudio-1.1.0-1
xorg-x11-drv-joystick-1.1.0-1
xorg-x11-drv-keyboard-1.1.0-2
xorg-x11-drv-magellan-1.1.0-1
xorg-x11-drv-magictouch-1.0.0.5-2
xorg-x11-drv-mga-1.4.1-4
xorg-x11-drv-microtouch-1.1.0-1
xorg-x11-drv-mouse-1.1.1-1
xorg-x11-drv-mutouch-1.1.0-1
xorg-x11-drv-neomagic-1.1.1-2
xorg-x11-drv-nsc-2.8.1-2
xorg-x11-drv-nv-1.2.0-1.fc6
xorg-x11-drv-palmax-1.1.0-1
xorg-x11-drv-penmount-1.1.0-2
xorg-x11-drv-rendition-4.1.0-3
xorg-x11-drv-s3-0.4.1-2
xorg-x11-drv-s3virge-1.9.1-2
xorg-x11-drv-savage-2.1.1-3
xorg-x11-drv-siliconmotion-1.4.1-2
xorg-x11-drv-sis-0.9.1-3
xorg-x11-drv-sisusb-0.8.1-4
xorg-x11-drv-spaceorb-1.1.0-1
xorg-x11-drv-summa-1.1.0-1
xorg-x11-drv-tdfx-1.2.1-3
xorg-x11-drv-trident-1.2.1-2
xorg-x11-drv-tseng-1.1.0-3
xorg-x11-drv-ur98-1.1.0-1
xorg-x11-drv-v4l-0.1.1-3
xorg-x11-drv-vesa-1.2.1-1
xorg-x11-drv-vga-4.1.0-2
xorg-x11-drv-via-0.2.1-4
xorg-x11-drv-vmmouse-12.4.0-1
xorg-x11-drv-vmware-10.13.0-2
xorg-x11-drv-void-1.1.0-3
xorg-x11-drv-voodoo-1.1.0-3
xorg-x11-filesystem-7.1-1
xorg-x11-fonts-100dpi-7.1-1
xorg-x11-fonts-75dpi-7.1-1
xorg-x11-fonts-base-7.1-1
xorg-x11-fonts-ISO8859-1-100dpi-7.1-1
xorg-x11-fonts-ISO8859-1-75dpi-7.1-1
xorg-x11-fonts-misc-7.1-1
xorg-x11-fonts-truetype-7.1-1
xorg-x11-fonts-Type1-7.1-1
xorg-x11-font-utils-7.1-1
xorg-x11-proto-devel-7.1-2
xorg-x11-resutils-7.1-1
xorg-x11-server-debuginfo-1.1.0-25.fc6
xorg-x11-server-utils-7.1-2
xorg-x11-server-Xorg-1.1.0-27.fc6
xorg-x11-twm-1.0.1-3
xorg-x11-util-macros-1.0.2-1
xorg-x11-utils-7.1-1
xorg-x11-xauth-1.0.1-2
xorg-x11-xdm-1.0.5-1
xorg-x11-xfs-1.0.2-3
xorg-x11-xfwp-1.0.1-3
xorg-x11-xinit-1.0.2-5.fc6
xorg-x11-xkbdata-1.0.1-8.xkbc0.8.0
xorg-x11-xkb-utils-1.0.2-2
xorg-x11-xsm-1.0.2-3

Note You need to log in before you can comment on or make changes to this bug.